%define javadir     %{_datadir}/java
%define javadocdir  %{_datadir}/javadoc
%define name        mx4j
%define version     1.1.1
%define release     1jpp
%define section		free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Open source implementation of JMX Java API
License:        Apache License
Group:          Development/Libraries/Java
Vendor:     	JPackage Project
Distribution:   JPackage
Source0:        %{name}-%{version}.tar.gz
Url:            http://mx4j.sourceforge.net
BuildRequires:  ant
BuildRequires:	jaf
BuildRequires:	javamail >= 1.2-5jpp
BuildRequires:	jython >= 2.1
BuildRequires:	log4j >= 1.2.7
BuildRequires:	jakarta-commons-logging >= 1.0.1
BuildRequires:  xml-commons-apis
BuildRequires:  bcel >= 5.0
BuildRequires:	jsse >= 1.0.2-6jpp
BuildRequires:	jce >= 1.2.2
BuildRequires:	junit >= 3.7.1
Buildarch:      noarch
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:      openjmx
Provides:		jmxri

%description
OpenJMX is an open source implementation of the
Java(TM) Management Extensions (JMX).

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}
Obsoletes:      openjmx-javadoc

%description javadoc
Javadoc for %{name}.

%package manual
Group:          Development/Libraries/Java
Summary:        Documentation for %{name}

%description    manual
Documentation for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}

# rm all files except xdoclet/xjavadoc/docbook
find lib -type f ! -name "xdoclet*.jar" ! -name "docbook*.*" ! -name "xjavadoc*.jar" -exec rm -f \{\} \;

%build

export CLASSPATH=%{javadir}/xalan-j2.jar

for i in %{javadir}/activation.jar %{javadir}/javamail/mailapi.jar %{javadir}/javamail/smtp.jar \
 %{javadir}/jython.jar %{javadir}/jakarta-commons-logging.jar \
 %{javadir}/xml-commons-apis.jar %{javadir}/bcel.jar %{javadir}/jsse/jcert.jar \
 %{javadir}/jsse/jnet.jar %{javadir}/jsse/jsse.jar %{javadir}/jaas.jar %{javadir}/jce/jce.jar \
 %{javadir}/log4j.jar %{javadir}/junit.jar ; do

ln -s $i lib

export CLASSPATH=$i:$CLASSPATH

done

cd build
ant jars javadocs docs

%install
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 dist/lib/%{name}-actions.jar $RPM_BUILD_ROOT%{javadir}/%{name}-actions-%{version}.jar
install -m 644 dist/lib/%{name}-jmx.jar $RPM_BUILD_ROOT%{javadir}/%{name}-jmx-%{version}.jar
install -m 644 dist/lib/%{name}-tools.jar $RPM_BUILD_ROOT%{javadir}/%{name}-tools-%{version}.jar
cp -r dist/docs/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
# jar versioning
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *LICENSE README
%{javadir}

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%files manual
%defattr(0644,root,root,0755)
%doc dist/docs/*

%changelog
* Thu Feb 20 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.1.1-1jpp
- mx4j 1.1.1
- grabed from CVS TAG MX4J_1_1_1

* Wed Sep 18 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.1-3jpp
- added missing xsl/jython resources in mx4j-tools.jar
- correct the build.xml to have correct contents for mx4.jar and mx4j-tools.jar

* Tue Jul 02 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-2jpp
- bzipped additional sources
- section macro
- ant already requires jaxp_parser
- fixed source perms
- fixed compilation with jsse and javamail
- buildrequires jsse >= 1.0.2-6jpp
- buildrequires javamail >= 1.2-5jpp

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.1-1jpp
- mx4j 1.1 
- set correct jpackage tags
- add provide jmxri

* Mon Mar 04 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0b3-1jpp
- mx4j 1.0b3 (previous name was openjmx)

* Fri Jan 18 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0b1-1jpp
- first JPackage release


